package org.tbasket.data

import io.getquill.context.ZioJdbc.{DataSourceLayer, QuillZioExt}
import io.getquill.context.qzio.ZioContext
import io.getquill.idiom.Idiom
import io.getquill.jdbczio.Quill
import io.getquill.*
import org.sqlite.SQLiteDataSource
import org.tbasket.ServerConfig
import zio.*

import java.io.Closeable
import java.util.Properties
import javax.sql

class Database(config: ServerConfig):
  
  val contextLayer    = ZLayer.succeed(new SqliteZioJdbcContext(SnakeCase))
  val datasourceLayer = Quill.DataSource.fromPrefix("database")
  


